%define debug_package %{nil}

Name:           ocamlmod
Version:        0.0.9
Release:        %mkrel 10
Summary:        Generate OCaml modules from source files
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/ocamlmod/
Source0:        https://github.com/gildor478/ocamlmod/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         ocamlmod-setupml.patch
# Set CompiledObject to "best".
Patch1:         ocamlmod-native.patch
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlbuild

%description
Generate OCaml modules from source files.

%prep
%setup -q
%autopatch -p1

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make

%install
make install

%files
%doc README.txt AUTHORS.txt INSTALL.txt
%{_bindir}/ocamlmod


%changelog
* Thu May 19 2022 pterjan <pterjan> 0.0.9-10.mga9
+ Revision: 1859095
- Rebuild for ocaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.0.9-9.mga9
+ Revision: 1832480
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.0.9-8.mga9
+ Revision: 1750853
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.0.9-7.mga9
+ Revision: 1697278
- rebuild for ocaml-4.2-12

* Sun Mar 01 2020 tv <tv> 0.0.9-6.mga8
+ Revision: 1552608
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.0.9-5.mga8
+ Revision: 1543654
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.0.9-4.mga8
+ Revision: 1482041
- rebuild for ocaml-4.10

* Fri Oct 26 2018 daviddavid <daviddavid> 0.0.9-3.mga7
+ Revision: 1325593
- Fix ocamlmod to be a native binary instead of bytecode

* Sun Sep 23 2018 umeabot <umeabot> 0.0.9-2.mga7
+ Revision: 1299898
- Mageia 7 Mass Rebuild

* Thu Nov 30 2017 tv <tv> 0.0.9-1.mga7
+ Revision: 1180354
- BR ocamlbuild
- new release
- enable to build w/o oasis

* Thu Feb 18 2016 daviddavid <daviddavid> 0.0.8-1.mga6
+ Revision: 966373
- new version: 0.0.8
- new upstream Source URL

* Fri Jan 29 2016 pterjan <pterjan> 0.0.7-6.mga6
+ Revision: 929030
- Rebuild for new ocaml

* Wed Oct 21 2015 tv <tv> 0.0.7-5.mga6
+ Revision: 893219
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.0.7-4.mga5
+ Revision: 748156
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.0.7-3.mga5
+ Revision: 725150
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.7-2.mga5
+ Revision: 683141
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 0.0.7-1.mga5
+ Revision: 673962
- update to 0.0.7

* Sat Oct 19 2013 umeabot <umeabot> 0.0.4-3.mga4
+ Revision: 536388
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.0.4-2.mga4
+ Revision: 484194
- rebuild for ocaml-4.01.0

* Mon Aug 12 2013 blue_prawn <blue_prawn> 0.0.4-1.mga4
+ Revision: 465593
- updated to last version 0.0.4

* Sun Jan 13 2013 umeabot <umeabot> 0.0.3-4.mga3
+ Revision: 361751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.0.3-3.mga3
+ Revision: 301075
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 blue_prawn <blue_prawn> 0.0.3-2.mga3
+ Revision: 300868
- new rpm group for ocaml

* Mon Jul 16 2012 blue_prawn <blue_prawn> 0.0.3-1.mga3
+ Revision: 271183
- imported package ocamlmod

